- page_title _('New Password')
- breadcrumb_title _('New Password')

%h1.page-title.gl-font-size-h-display= _('Set up new password')
%hr
= form_for @user, url: profile_password_path, method: :post do |f|
  %p.slead
    = _('Please set a new password before proceeding.')
    %br
    = _('After a successful password update you will be redirected to login screen.')

  = form_errors(@user)

  - unless @user.password_automatically_set?
    .form-group.row
      .col-sm-2.col-form-label
        = f.label :password, _('Current password')
      .col-sm-10
        = f.password_field :password, required: true, autocomplete: 'current-password', class: 'form-control gl-form-input', data: { qa_selector: 'current_password_field' }
  .form-group.row
    .col-sm-2.col-form-label
      = f.label :new_password, _('New password')
    .col-sm-10
      = f.password_field :new_password, required: true, autocomplete: 'new-password', class: 'form-control gl-form-input', data: { qa_selector: 'new_password_field' }
  .form-group.row
    .col-sm-2.col-form-label
      = f.label :password_confirmation, _('Password confirmation')
    .col-sm-10
      = f.password_field :password_confirmation, required: true, autocomplete: 'new-password', class: 'form-control gl-form-input', data: { qa_selector: 'confirm_password_field' }
  .form-actions
    = f.submit _('Set new password'), class: 'gl-button btn btn-confirm', data: { qa_selector: 'set_new_password_button' }
